---
layout: docs
page_title: groups update - Command
description: >-
  The "groups update" command updates an existing group resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# groups update

Command: `boundary groups update`

The `groups update` command lets you update an existing group's information.

## Examples

In this example, an existing group (`g_9SpLKOoTse`) has the following details:

<CodeBlockConfig hideClipboard>

```plaintext
Group information:
  Created Time:        Thu, 24 Aug 2023 13:58:50 PDT
  Description:         Support engineering group
  ID:                  g_9SpLKOoTse
  Name:                support
  Updated Time:        Thu, 24 Aug 2023 13:58:50 PDT
  Version:             3

...snip...
```

</CodeBlockConfig>

The following command updates the group's `description` and `version`:

```shell-session
$ boundary groups update -id g_9SpLKOoTse \
   -description "Customer support for product XXX" \
   -version 4
```

**Example output:**

<CodeBlockConfig hideClipboard highlight="3,7">

```plaintext
Group information:
  Created Time:        Thu, 24 Aug 2023 13:58:50 PDT
  Description:         Customer support for product XXX
  ID:                  g_9SpLKOoTse
  Name:                support
  Updated Time:        Thu, 24 Aug 2023 14:33:18 PDT
  Version:             4

  Scope:
    ID:                o_R0wbo0H6Zl
    Name:              quick-start-org
    Parent Scope ID:   global
    Type:              org

  Authorized Actions:
    no-op
    read
    update
    delete
    add-members
    set-members
    remove-members
```

</CodeBlockConfig>

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary groups update [options] [args]
```

</CodeBlockConfig>

### Command options

- `-description` `(string: "")` - The description to set on the group.
- `-id` `(string: "")` - The ID of the group to update.
- `-name` `(string: "")` - The name to set on the group.
- `-version` `(string: "")` - The version of the group to update.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'